Bug 147966 - Ananconda bug during install using DiskDruid
Ananconda bug during install using DiskDruid
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: anaconda (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2005-02-14 04:10 EST by Jakes Louw
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHEL5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-03-14 12:19:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jakes Louw 2005-02-14 04:10:33 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
This occurred during a clean install of RH ES 3, on a HP Compaq.

The box is set up with 2 identical Seagate 40GB HDDs, so I was using 
Software RAID to set up a RAID-1 pair. 
The idea was to set up raid mounts for the following:
/ = 15GB
/boot = 500MB
swap = 2GB
/var = 10GB
/opt = 5GB
/home = 2GB

All went fine until I started with the fifth (5th) RAID device, and 
then VOILA, bug popped up and install aborted.

Top of stack:
/usr/lib/ananconda/iw/partition_gui.py: line 1285 in makeraidCB, 

Bottom of stack:
/usr/lib/anaconda/partRequests.py: line 454 in getActualSize.

Seems like the GUI array can't handle more than 4 MD entries?

Version-Release number of selected component (if applicable):
ES v 3

How reproducible:

Steps to Reproduce:
1.Start install
2. Select manual partition
3. Start RAID creation process as documented at 

Actual Results:  Bug-screen, install aborts

Expected Results:  Should have created next RAID device

Additional info:
Comment 1 Jeremy Katz 2005-02-14 10:40:44 EST
Can you provide the complete traceback you received?
Comment 2 Jakes Louw 2005-02-15 00:58:20 EST
I can do: give me a couple of hours. 
Comment 3 Jakes Louw 2005-02-15 01:25:24 EST
I can do: give me a couple of hours. 
Comment 4 Jakes Louw 2005-02-15 04:50:01 EST
Here we go:
As mentioned previously, I was following the steps in the Software 
RAID doc at www.redhat.com/docs/manuals/enterprise/RHEL-3-
I have also varied the sequence of partitions, and each time it is 
definitely a runtime error on the 5th partition.
Here's the sequence, bearing in mind I've just created 4 RAID pairs 
in exactly the same way:
New -> Software RAID -> Deselect secondary HDD, enter Size, select 
Fixed Size, select Force to be Primary -> OK.
Bug screen pops up:
"Error Partitioning" banner, 
"Could not allocate requested partitions:partitioning failed"
"Could nit allocate partitions as primary partitions"
Hit "OK", then :

An unexpected exception has occurred. This is most likely a bug. 
Please copy the full text of this exception and file a detailed bug 
report against anaconda at http://bugzilla.redhat.com/bugzilla/

Traceback(most recent call last)
File "/usr/lib/ananconda/iw/partition_gui.py", line 1285, in 
rc = self.editPartitionRequest(rdrequest,isNew=1)
File "/usr/lib/ananconda/iw/partition_gui.py", line 1088, in 
editPartitionRequest if self.refresh():
File "/usr/lib/ananconda/iw/partition_gui.py", line 1014, in refresh 
self.populate ()
File "/usr/lib/ananconda/iw/partition_gui.py", line 788, in populate 
self.tree[iter]['Size (MB)'] = "%g" %(request.getActualSize
File "/usr/lib/ananconda/iw/partRequests.py", line 619, in 
getActualSize raise RuntimeError, "Checking the size of a partition 
which hasn't been allocated yet"
RuntimeError: Checking the size of a partition which hasn't been 
allocated yet

Then select "OK", and the install GUI closes, and server goes thru 
shutdown to halt/powerdown-ready state.

Hope this helps!
Comment 6 Jakes Louw 2005-02-16 03:35:18 EST
By the way, this is a very similar issue, except the guy is using KS 
instead of the GUI:
Note the date......
Comment 7 Chris Lumens 2007-03-14 12:19:58 EDT
I just did a quick test on RHEL5 and this issue appears to be fixed there.  If
possible, please try it out and reopen this bug if you continue to see the
problem.  If you require this fix in an update release of RHEL3, please contact
your support representative who will raise this issue through the appropriate
channels.  Thanks for the bug report.

Note You need to log in before you can comment on or make changes to this bug.